<mat-progress-bar *ngIf="showLoadDataProgressIndicator" mode="indeterminate"></mat-progress-bar>

<div class="billOverviewContent">
  <button
    class="marginRight marginHeight"
    mat-flat-button
    *ngFor="let team of teams" (click)="onSelectTeam(team)"
    [color]="this.selectedTeams.includes(team) ? 'primary' : null">{{team.shortName}}</button>
  <mat-progress-bar mode="determinate" value="{{getPaidPercentage()}}"></mat-progress-bar>
  <app-bill-table
    [players]="filteredPlayers"
    [teams]="teams"
    [settings]="settings"
    (pay)="onPayClick($event)"
  ></app-bill-table>
</div>
